Subject: Re: bug#51247: 28.0.60; Insufficient documentation of tab-bar.el internal functions

From: Juri Linkov <[email-masked]>
Date: Mon, 18 Oct 2021 20:02:21 +0300

> Or let me turn the table and ask you to explain to a potential Lisp
> programmer what to expect from adding a function to the list in
> tab-bar-format.  Suppose J.R. Hacker wants to write a function
> suitable for inclusion in this list, and suppose the function returns
> a string or a list of menu items -- what should J.R. Hacker expect
> from putting that function in this list? how will the tab bar display
> the value returned by the function?

It will display tabs or buttons from these menu items.